HsOpenSSL-0.11.7.9: Partial OpenSSL binding for Haskell

Safe Haskell | None
Language | Haskell2010

OpenSSL.EVP.Digest

Description

An interface to message digest algorithms.

Synopsis

- data Digest
- getDigestByName :: String -> IO (Maybe Digest)
- getDigestNames :: IO [String]
- digest :: Digest -> String -> String
- digestBS :: Digest -> ByteString -> ByteString
- digestLBS :: Digest -> ByteString -> ByteString
- hmacBS :: Digest -> ByteString -> ByteString -> ByteString
- hmacLBS :: Digest -> ByteString -> ByteString -> ByteString
- pkcs5_pbkdf2_hmac_sha1 :: ByteString -> ByteString -> Int -> Int -> ByteString

# Documentation

data Digest Source #

`Digest` is an opaque object that represents an algorithm of message digest.

getDigestByName :: String -> IO (Maybe Digest) Source #

``getDigestByName` name` returns a message digest algorithm whose name is `name`. If no algorithms are found, the result is `Nothing`.

getDigestNames :: IO [String] Source #

``getDigestNames`` returns a list of name of message digest algorithms.

digest :: Digest -> String -> String Source #

Deprecated: Use digestBS or digestLBS instead.

``digest`` digests a stream of data. The string must not contain any letters which aren't in the range of U+0000 - U+00FF.

digestBS :: Digest -> ByteString -> ByteString Source #

``digestBS`` digests a chunk of data.

digestLBS :: Digest -> ByteString -> ByteString Source #

``digestLBS`` digests a stream of data.

hmacBS Source #

Arguments

:: Digest | the hash function to use in the HMAC calculation
-> ByteString | the HMAC key
-> ByteString | the data to be signed
-> ByteString | resulting HMAC

Perform a private key signing using the HMAC template with a given hash

hmacLBS :: Digest -> ByteString -> ByteString -> ByteString Source #

pkcs5_pbkdf2_hmac_sha1 Source #

Arguments

:: ByteString | password
-> ByteString | salt
-> Int | iterations
-> Int | destination key length
-> ByteString | destination key

Calculate a PKCS5-PBKDF2 SHA1-HMAC suitable for password hashing.